Skip to main content
PATCH
/
bots
/
{id}
/
startup-command
curl -X PATCH https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/startup-command \
  -H "Authorization: Bearer sess_..." \
  -H "Content-Type: application/json" \
  -d '{ "startup_command": "node src/main.js" }'
{
  "success": true,
  "data": { "startup_command": "node src/main.js" },
  "message": "Startup command updated. Restart to apply."
}

Documentation Index

Fetch the complete documentation index at: https://docs.phanomcloud.online/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required
UUID of the bot.

Body

startup_command
string
required
New startup command. Example: node src/main.js or python -u bot.py.
curl -X PATCH https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/startup-command \
  -H "Authorization: Bearer sess_..." \
  -H "Content-Type: application/json" \
  -d '{ "startup_command": "node src/main.js" }'
{
  "success": true,
  "data": { "startup_command": "node src/main.js" },
  "message": "Startup command updated. Restart to apply."
}